> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Setup Intents

> Lista setup intents.

Lista `setup_intents` em ordem decrescente de criação.

<ParamField query="customer" type="string">
  Filtra por customer.
</ParamField>

<ParamField query="status" type="string">
  Filtra por status: `requires_payment_method`, `requires_confirmation`,
  `processing`, `succeeded` ou `canceled`.
</ParamField>

<ParamField query="limit" type="integer">
  Quantidade de itens, de `1` a `100`.
</ParamField>

<ParamField query="starting_after" type="string">
  Cursor para a próxima página.
</ParamField>

<ParamField query="ending_before" type="string">
  Cursor para a página anterior.
</ParamField>

<RequestExample>
  ```bash cURL theme={}
  curl -X GET "https://api.chargefy.io/v1/setup-intents?customer=cus_123" \
    -H "Authorization: Bearer {{API_KEY}}"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={}
  {
    "object": "list",
    "data": [],
    "has_more": false,
    "url": "/v1/setup-intents"
  }
  ```
</ResponseExample>
